Bug 283068 - Pictures were misplaced in the attached xlxs file.
Summary: Pictures were misplaced in the attached xlxs file.
Status: VERIFIED FIXED
Alias: None
Product: calligrasheets
Classification: Unclassified
Component: filter/xlsx (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: LukasT
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-30 07:18 UTC by swathi
Modified: 2011-12-21 12:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot in MS Office (347.52 KB, image/x-png)
2011-09-30 07:18 UTC, swathi
Details
Screenshot in Calligra Tables (294.78 KB, image/x-png)
2011-09-30 07:20 UTC, swathi
Details
Screenshot of the 2nd document in MS Office (232.16 KB, image/x-png)
2011-09-30 07:23 UTC, swathi
Details
Screenshot of the 2nd document in Calligra Tables (206.91 KB, image/x-png)
2011-09-30 07:24 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2011-09-30 07:18:47 UTC
Created attachment 64086 [details]
Screenshot in MS Office

Version: git checkout 4e79a72f29a8e0c2e4cf5b572456ef02bd415d81
        (Using KDE 4.6.3)                
     OS: Kubuntu 11.04
Test data is in Excel 2007 format which has some text and pictures in it.
Open the same document in Calligra Tables.
Check the display of pictures in the 1st page.
Link to Test data:
http://www.asean.com.au/data/schedules/9.xlsx

Expected outcome:
All the pictures in the 1st page should be displayed in right position.

Actual outcome:
Pictures were misplaced. Due to this not able to see the text properly.
Please check the screenshots attached.

Frequency:
Always
Comment 1 swathi 2011-09-30 07:20:27 UTC
Created attachment 64087 [details]
Screenshot in Calligra Tables
Comment 2 swathi 2011-09-30 07:23:19 UTC
Created attachment 64088 [details]
Screenshot of the 2nd document in MS Office

Another test data with same issue:
http://www.lognetglobal.com/common/downloads/documents/Delegate_Details-22-2-2011_with_pictures.xlsx
Comment 3 swathi 2011-09-30 07:24:02 UTC
Created attachment 64089 [details]
Screenshot of the 2nd document in Calligra Tables
Comment 4 LukasT 2011-11-24 17:22:34 UTC
I work on this one.
Comment 5 LukasT 2011-12-08 11:46:14 UTC
Git commit 1d6382b31a44d0a8f7748d344fc42eba9e8c134f by Lukáš Tvrdý.
Committed on 08/12/2011 at 12:37.
Pushed by lukast into branch 'master'.

Fix the position of the pictures in xlsx documents

o anchor pictures to cell
o end-cell-address, end-x, end-y support
o so far don't anchor pictures in groups
o fix addressing of the cells (row 0, column 0 is A1)
o don't forget to initialize drawingml
  it's done in XlsxXmlWorksheetReader, but we
  include the MsooXmlCommonReaderDrawingMLImpl.h
  also in XlsxXmlDrawingReader

BUG:283068

Some other test files with improvements:
http://4spreadsheets.pbworks.com/f/SampleSpreadsheet&+Graph.xlsx
http://amorossquash.es/app/download/3836722002/Horarios+web.xlsx
http://assets.ngin.com/attachments/document/0009/7160/2010_Girls_Roster.xlsx
http://cdn.livediverse.eu/wp-content/uploads/2009/09/Review-of-EVI-data-4-case-study-areas-by-WP5.xlsx
http://cfmotori.com/public/15839141_Copia_di_96196503_250ST-9E_parts_purchase_manual10.xlsx
http://elibrary-data.imf.org/Contents/FindConceptsforCodes.xlsx
http://files1.guildlaunch.net/guild/library/169389/Heirloom Items Listing.xlsx
http://recruit-match.ncsasports.org/fasttrackfiles/clientFiles/616808_1297468255116_Mountain_View_s_Schedule.xlsx
http://www2.waterforduhs.k12.wi.us/staffweb/Kohn/Career Portfolio/Career Portfolio Program.xlsx
http://www.itatennis.com/Assets/Campus-Showdowns.xlsx
http://www.lee.edu/atd/IE_Goals Traffic Lights.xlsx
http://www.webmetricsguru.com/wp-content/uploads/2010/02/Geolocation-SMWNYC10.xlsx

Tested with cstester

M  +43   -1    filters/libmsooxml/MsooXmlCommonReaderDrawingMLImpl.h
M  +2    -0    filters/libmsooxml/MsooXmlCommonReaderDrawingMLMethods.h
M  +42   -7    filters/tables/xlsx/XlsxXmlDrawingReader.cpp
M  +49   -7    filters/tables/xlsx/XlsxXmlDrawingReader.h

http://commits.kde.org/calligra/1d6382b31a44d0a8f7748d344fc42eba9e8c134f
Comment 6 swathi 2011-12-21 12:39:15 UTC
Verified in b2b29030922345d8e727ed03e80fb77537aece46.